<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: Plik źródłowy drone.hh</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.8.17 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('../../',false,false,'search.php','Szukaj');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('da/dcb/drone_8hh_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">drone.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="../../da/dcb/drone_8hh.html">Idź do dokumentacji tego pliku.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="../../d9/dae/cuboid_8hh.html">cuboid.hh</a>&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="../../d5/d02/class_drone.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="../../d5/d02/class_drone.html">Drone</a> : <span class="keyword">protected</span> <a class="code" href="../../d2/d73/class_cuboid.html">Cuboid</a> {</div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> <a class="code" href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">calculateTranslation</a>(<span class="keywordtype">double</span> angleChange, <span class="keywordtype">double</span> distance) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;  <span class="keyword">protected</span>:</div>
<div class="line"><a name="l00023"></a><span class="lineno"><a class="line" href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">   23</a></span>&#160;    <span class="keyword">const</span> std::string <a class="code" href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">kDroneFile</a> = <span class="stringliteral">&quot;solid/drone.dat&quot;</span>;</div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;    <a class="code" href="../../d5/db2/class_vector.html">Vector3D</a> <a class="code" href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">moveForward</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angleChange, <span class="keyword">const</span> <span class="keywordtype">double</span> &amp;distance, <span class="keyword">const</span> <span class="keywordtype">int</span> &amp;frames);</div>
<div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160; </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    <span class="keywordtype">void</span> <a class="code" href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">rotate</a>(<span class="keywordtype">double</span> angleChange, <span class="keyword">const</span> <span class="keywordtype">int</span> &amp;frames);</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;    <a class="code" href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone</a>();</div>
<div class="line"><a name="l00048"></a><span class="lineno">   48</span>&#160;};</div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_drone_html"><div class="ttname"><a href="../../d5/d02/class_drone.html">Drone</a></div><div class="ttdoc">Modeluje pojęcie drona.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/drone_8hh_source.html#l00009">drone.hh:9</a></div></div>
<div class="ttc" id="aclass_drone_html_a72b51743436557dbb7c3d4dae30f09c4"><div class="ttname"><a href="../../d5/d02/class_drone.html#a72b51743436557dbb7c3d4dae30f09c4">Drone::moveForward</a></div><div class="ttdeci">Vector3D moveForward(const double &amp;angleChange, const double &amp;distance, const int &amp;frames)</div><div class="ttdoc">Zadaje ruch na wprost Korzystając z funkcji, która wylicza wektor przesunięcia wykonuje ruch drona na...</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00003">drone.cpp:3</a></div></div>
<div class="ttc" id="aclass_drone_html_af8bc6a465e5d55fdbd0985a03431a40c"><div class="ttname"><a href="../../d5/d02/class_drone.html#af8bc6a465e5d55fdbd0985a03431a40c">Drone::calculateTranslation</a></div><div class="ttdeci">Vector3D calculateTranslation(double angleChange, double distance) const</div><div class="ttdoc">Wylicza wektor przesunięcia.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00016">drone.cpp:16</a></div></div>
<div class="ttc" id="aclass_drone_html_ad657730896d4edb8e9b6ecb5dec69413"><div class="ttname"><a href="../../d5/d02/class_drone.html#ad657730896d4edb8e9b6ecb5dec69413">Drone::rotate</a></div><div class="ttdeci">void rotate(double angleChange, const int &amp;frames)</div><div class="ttdoc">Obraca drona o zadany kąt.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00010">drone.cpp:10</a></div></div>
<div class="ttc" id="acuboid_8hh_html"><div class="ttname"><a href="../../d9/dae/cuboid_8hh.html">cuboid.hh</a></div></div>
<div class="ttc" id="aclass_drone_html_a56f1e93b78d78a6d64929288eee02610"><div class="ttname"><a href="../../d5/d02/class_drone.html#a56f1e93b78d78a6d64929288eee02610">Drone::kDroneFile</a></div><div class="ttdeci">const std::string kDroneFile</div><div class="ttdoc">Nazawa pliku, w którym jest zapisany model drona.</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dcb/drone_8hh_source.html#l00023">drone.hh:23</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="../../d5/db2/class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<div class="ttc" id="aclass_drone_html_ab692baa4be5c43b72990ce1b01bdc805"><div class="ttname"><a href="../../d5/d02/class_drone.html#ab692baa4be5c43b72990ce1b01bdc805">Drone::Drone</a></div><div class="ttdeci">Drone()</div><div class="ttdoc">Konstruktor dla klasy drone.</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dd8/drone_8cpp_source.html#l00026">drone.cpp:26</a></div></div>
<div class="ttc" id="aclass_cuboid_html"><div class="ttname"><a href="../../d2/d73/class_cuboid.html">Cuboid</a></div><div class="ttdoc">Modeluje pojęcie prostopadłościanu.</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dae/cuboid_8hh_source.html#l00014">cuboid.hh:14</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="../../dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="../../da/dcb/drone_8hh.html">drone.hh</a></li>
    <li class="footer">Wygenerowano przez
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
